{"id":18079,"date":"2018-11-24T08:02:24","date_gmt":"2018-11-24T08:02:24","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15528"},"modified":"2023-07-26T10:35:27","modified_gmt":"2023-07-26T09:35:27","slug":"get-roles-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-roles-api\/","title":{"rendered":"Get Roles API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To retrieve the list of the bot or admin roles available in an account.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from the Bot Admin Console.<\/p>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/roles?roleType=bot&amp;limit=2<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Profile Management &gt; Role Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/Optional<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>roleType<\/td>\n<td>Required<\/td>\n<td>The role type:<\/p>\n<ul>\n<li><strong>admin<\/strong> or<\/li>\n<li><strong>bot<\/strong><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Optional<\/td>\n<td>The number of records to fetch. The maximum applicable limit is 50.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n  'https:\/\/{{host}}\/api\/public\/roles?roleType=bot&amp;limit=2' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response_Admin\">Sample Response (Admin)<\/span><\/h2>\n<pre class=\"code-limit-400px\">{\r\n    \"total\": 2,\r\n    \"availableMore\": false,\r\n    \"roles\": [\r\n        {\r\n            \"roleType\": \"admin\",\r\n            \"role\": \"admin\",\r\n            \"rDesc\": \"Master administration role with full control on account activity\",\r\n            \"permissions\": {\r\n                \"Invite\": \"YES\",\r\n                \"Import Users \/ Sync\": \"YES\",\r\n                \"Directory Sync\": \"YES\",\r\n                \"Manage User Profile Fields\": \"YES\",\r\n                \"Manage Groups\": \"YES\",\r\n                \"Manage Deployment\": \"YES\",\r\n                \"Enterprise Bots\": \"YES\",\r\n                \"Password Policies\": \"YES\",\r\n                \"Single Sign On\": \"YES\",\r\n                \"Domain Management\": \"YES\",\r\n                \"Kore.ai Connector\": \"YES\",\r\n                \"Manage Built-In Admin Roles\": \"YES\",\r\n                \"Manage Custom Admin Roles\": \"YES\",\r\n                \"View and Run Audit Reports\": \"YES\",\r\n                \"Consumer Bots\": \"YES\",\r\n                \"View and Run Bot Chat History\": \"YES\",\r\n                \"Manage Bot Roles\": \"YES\",\r\n                \"Preferences\": \"YES\",\r\n                \"Smart Bots\": \"YES\",\r\n                \"API Scopes\": \"YES\",\r\n                \"Enterprise Key\": \"YES\"\r\n            }\r\n        },\r\n        {\r\n            \"roleType\": \"admin\",\r\n            \"role\": \"sample admin\",\r\n            \"permissions\": {\r\n                \"Invite\": \"YES\",\r\n                \"Import Users \/ Sync\": \"NO\",\r\n                \"Directory Sync\": \"NO\",\r\n                \"Manage User Profile Fields\": \"YES\",\r\n                \"Manage Groups\": \"YES\",\r\n                \"Manage Deployment\": \"YES\",\r\n                \"Enterprise Bots\": \"YES\",\r\n                \"Smart Bots\": \"YES\",\r\n                \"Preferences\": \"YES\",\r\n                \"Single Sign On\": \"YES\",\r\n                \"Kore.ai Connector\": \"YES\",\r\n                \"Manage Built-In Admin Roles\": \"YES\",\r\n                \"Manage Bot Roles\": \"YES\",\r\n                \"Manage Custom Admin Roles\": \"YES\",\r\n                \"View and Run Audit Reports\": \"YES\",\r\n                \"View and Run Bot Chat History\": \"YES\",\r\n                \"Consumer Bots\": \"YES\",\r\n                \"API Scopes\": \"YES\",\r\n                \"Enterprise Key\": \"YES\"\r\n            },\r\n            \"rDesc\": \"\"\r\n        }\r\n    ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response_bot\">Sample Response (bot)<\/span><\/h2>\n<pre class=\"code-limit-400px\">{\r\n    \"total\": 5,\r\n    \"availableMore\": true,\r\n    \"roles\": [\r\n        {\r\n            \"roleType\": \"bot\",\r\n            \"_id\": \"6495a4d56ca3571b556cf163\",\r\n            \"role\": \"Bot Owner\",\r\n            \"rDesc\": \"Role of bot owners with full access to bot definition\",\r\n            \"permissions\": {\r\n                \"Tasks\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Natural Language\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Knowledge Graph\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Testing\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Bot Developers\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Bot Settings\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Bot Import\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Integrations &amp; Extensions\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Bot Builder API Scopes\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Publish bot\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Channels\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Dashboard\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Bot Analytics\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Custom Dashboards\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Storyboard\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"IntentDiscovery\": [\r\n                    \"FULL\"\r\n                ]\r\n            }\r\n        },\r\n        {\r\n            \"roleType\": \"bot\",\r\n            \"_id\": \"6495a4d56ca3571b556cf164\",\r\n            \"role\": \"Bot Developer\",\r\n            \"rDesc\": \"Role for bot co-developers\",\r\n            \"permissions\": {\r\n                \"Tasks\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Natural Language\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Knowledge Graph\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Bot Developers\": [\r\n                    \"VIEW\"\r\n                ],\r\n                \"Bot Settings\": [\r\n                    \"FULL\"\r\n                ],\r\n                \"Bot Import\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Publish bot\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Channels\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Dashboard\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Bot Analytics\": [\r\n                    \"YES\"\r\n                ]   \r\n            }\r\n        },\r\n        {\r\n            \"roleType\": \"bot\",\r\n            \"_id\": \"6495a4d56ca3571b556cf165\",\r\n            \"role\": \"Bot Tester\",\r\n            \"rDesc\": \"Role for bot testers with read-only access to bot definition\",\r\n            \"permissions\": {\r\n                \"Tasks\": [\r\n                    \"VIEW\"\r\n                ],\r\n                \"Natural Language\": [\r\n                    \"VIEW\"\r\n                ],\r\n                \"Knowledge Graph\": [\r\n                    \"VIEW\"\r\n                ],\r\n                \"Bot Developers\": [\r\n                    \"VIEW\"\r\n                ],\r\n                \"Bot Settings\": [\r\n                    \"NO\"\r\n                ],\r\n                \"Bot Import\": [\r\n                    \"NO\"\r\n                ],\r\n                \"Publish bot\": [\r\n                    \"NO\"\r\n                ],\r\n                \"Channels\": [\r\n                    \"NO\"\r\n                ],\r\n                \"Dashboard\": [\r\n                    \"YES\"\r\n                ],\r\n                \"Bot Analytics\": [\r\n                    \"YES\"\r\n                ]\r\n            }\r\n        }\r\n    ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To retrieve the list of the bot or admin roles available in an account. This API requires JWT generated by an application created only from the Bot Admin Console. Method GET Endpoint https:\/\/{{host}}\/api\/public\/roles?roleType=bot&amp;limit=2 Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Not Applicable Admin Console: Profile...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18079","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18079","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18079"}],"version-history":[{"count":18,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18079\/revisions"}],"predecessor-version":[{"id":58405,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18079\/revisions\/58405"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18079"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18079"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18079"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}